Subject: Re: [PATCH] make config --add behave correctly for empty and NULL values

From: Jeff King <[email-masked]>
Date: Thu, 11 Sep 2014 22:29:45 -0400

On Thu, Sep 11, 2014 at 04:35:33PM -0700, Junio C Hamano wrote:

> Jeff King <[email-masked]> writes:
> 
> > Here is the patch I wrote, for reference (I also think breaking the
> > "matches" function into a series of conditionals, as you showed, is way
> > more readable):
> 
> OK, while reviewing the today's issue of "What's cooking" and making
> topics graduate to 'master', I got annoyed that the bottom of jch
> branch still needed to be kept.  Let's do this.
> 
> -- >8 --
> From: Jeff King <[email-masked]>
> Date: Tue, 19 Aug 2014 02:20:00 -0400
> Subject: [PATCH] config: avoid a funny sentinel value "a^"
> 
> Introduce CONFIG_REGEX_NONE as a more explicit sentinel value to say
> "we do not want to replace any existing entry" and use it in the
> implementation of "git config --add".
> 
> Signed-off-by: Jeff King <[email-masked]>
> Signed-off-by: Junio C Hamano <[email-masked]>

Looks good, and adding my signoff is fine. Thanks.

-Peff